# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`foreman_simple_user`](#foreman_simple_user): Ensure foreman users are present on the system

### Defined types

* [`foreman_simple_user::user`](#foreman_simple_user--user): Create a single foreman user

## Classes

### <a name="foreman_simple_user"></a>`foreman_simple_user`

Ensure foreman users are present on the system

#### Examples

##### 

```puppet
include foreman_simple_user
```

#### Parameters

The following parameters are available in the `foreman_simple_user` class:

* [`users`](#-foreman_simple_user--users)

##### <a name="-foreman_simple_user--users"></a>`users`

Data type: `Hash[String, Hash]`

The hash of users

Default value: `getvar('foreman_users', {})`

## Defined types

### <a name="foreman_simple_user--user"></a>`foreman_simple_user::user`

Create a single foreman user

#### Examples

##### 

```puppet
foreman_simple_user::user { 'admin':
  ssh_authorized_keys => [
    {
      key     => 'AAA..BBB',
      type    => 'ssh-rsa',
      comment => 'My First Key',
    },
  ],
}
```

#### Parameters

The following parameters are available in the `foreman_simple_user::user` defined type:

* [`ensure`](#-foreman_simple_user--user--ensure)
* [`username`](#-foreman_simple_user--user--username)
* [`group`](#-foreman_simple_user--user--group)
* [`home`](#-foreman_simple_user--user--home)
* [`password`](#-foreman_simple_user--user--password)
* [`comment`](#-foreman_simple_user--user--comment)
* [`ssh_authorized_keys`](#-foreman_simple_user--user--ssh_authorized_keys)

##### <a name="-foreman_simple_user--user--ensure"></a>`ensure`

Data type: `Enum['present', 'absent', 'role']`

The basic state that the user should be in.

Default value: `'present'`

##### <a name="-foreman_simple_user--user--username"></a>`username`

Data type: `String`

The username

Default value: `$title`

##### <a name="-foreman_simple_user--user--group"></a>`group`

Data type: `String`

The primary group of the user

Default value: `$title`

##### <a name="-foreman_simple_user--user--home"></a>`home`

Data type: `String`

The home directory of the user

Default value: `"/home/${title}"`

##### <a name="-foreman_simple_user--user--password"></a>`password`

Data type: `Optional[String]`

An optional password for the user

Default value: `undef`

##### <a name="-foreman_simple_user--user--comment"></a>`comment`

Data type: `Optional[String]`

An optional comment about the user. Usually the full name.

Default value: `undef`

##### <a name="-foreman_simple_user--user--ssh_authorized_keys"></a>`ssh_authorized_keys`

Data type: `Array[Hash]`

A list of authorized keys

Default value: `[]`

